import nextcord
from nextcord.ext import commands

from dotenv import load_dotenv

import os

load_dotenv()

#Getting the token from .env file : TOKEN = ...
SquogToken = os.environ.get("BOT_TOKEN")

client = commands.Bot(command_prefix="!", intents=nextcord.Intents.all())

#Removing the default help command because no
client.remove_command("help")

#Loading Cogs
for filename in os.listdir('./commands'):
    if filename.endswith('.py'):
        client.load_extension(f'commands.{filename[:-3]}')

for filename in os.listdir("./events"):
    if filename.endswith('.py'):
        client.load_extension(f'events.{filename[:-3]}')

# Starting bot
client.run(SquogToken)
